# Get merchant order Check the payment information for a product or service with the ID of the order you want. **GET** `/merchant_orders/{id}` ## Request parameters ### Path - `id` (number, required) Unique identifier of the order generated by Mercado Pago ## Response parameters - `id` (number, optional) Unique identifier of the order generated by Mercado Pago - `status` (string, optional) Show the current merchant order state. Possible enum values: - `opened` Order without payments. - `closed` Order with payments covering total amount. - `expired` Canceled order that does not have approved or pending payments (all rejected or returned). - `external_reference` (string, optional) Unique identifier sent by the seller to relate the order_id generated by Mercado Pago, with the id of their payment system - `preference_id` (string, optional) Identifier of the payment preference associated to the order - `payments` (array, optional) Payment Attributes associated with the Order - `payments[].id` (number, optional) Unique Payment Identifier, automatically generated by Mercado Pago - `payments[].transaction_amount` (number, optional) Total amount of the payment attempt. It is the amount of money that is deposited to the seller. Numeric field. - `payments[].total_paid_amount` (number, optional) Total amount charged to the payer - `payments[].shipping_cost` (number, optional) Shipping cost, if applicable - `payments[].currency_id` (string, optional) ID of the currency used in the payment. Possible enum values: - `ARS` Argentine peso. - `BRL` Brazil real. - `CLP` Chilean peso. - `MXN` Mexican peso. - `COP` Colombian peso. - `PEN` Peruvian sol. - `UYU` Uruguayan peso. - `payments[].status` (string, optional) Payment status. Possible enum values: - `pending` The user has not yet completed the payment process. - `approved` The payment has been approved and accredited. - `authorized` The payment has been authorized but not captured yet. - `in_process` Payment is being reviewed. - `in_mediation` Users have initiated a dispute. - `rejected` Payment was rejected. The user may retry payment. - `canceled` Payment was canceled by one of the parties or because time for payment has expired. - `refunded` Payment was refunded to the user. - `charged_back` Was made a chargeback in the buyer's credit card. - `payments[].status_detail` (string, optional) Detail in which the Collection resulted Possible enum values: - `Accredited` credited payment. - `pending_contingency` the payment is being processed. - `pending_review_manual` the payment is under review to determine its approval or rejection. - `cc_rejected_bad_filled_date` incorrect expiration date. - `cc_rejected_bad_filled_other` incorrect card details. - `cc_rejected_bad_filled_security_code` incorrect CVV. - `cc_rejected_blacklist` the card is on a black list for theft/complaints/fraud. - `cc_rejected_call_for_authorize` the means of payment requires prior authorization of the amount of the operation. - `cc_rejected_card_disabled` the card is inactive. - `cc_rejected_duplicated_payment` transacción duplicada. - `cc_rejected_high_risk` rechazo por Prevención de Fraude. - `cc_rejected_insufficient_amount` insufficient amount. - `cc_rejected_invalid_installments` invalid number of installments. - `cc_rejected_max_attempts` exceeded maximum number of attempts. - `cc_rejected_other_reason` generic error. - `payments[].operation_type` (string, optional) Operation data_type. Possible enum values: - `regular_payment` Typification by default of a purchase being paid using Mercado Pago. - `payment_addition` Addition of money to an existing payment, made through a Mercado Pago account. - `money_transfer` Funds transfer between two users. - `recurring_payment` Automatic recurring payment due to an active user subscription. - `account_fund` Money income in the user's account. - `cellphone_recharge` Recharge of a user's cellophone account. - `pos_payment` Payment done through a Point of Sale. - `payments[].date_approved` (string, optional) Payment approval date - `payments[].date_created` (string, optional) Payment creation date - `payments[].last_modified` (string, optional) Date of last update of the order. The format is YYYY-MM-DDThh:mm:ss.dcm-GMT, for example 2021-12-29T20:19:17.000-04:00. - `payments[].amount_refunded` (number, optional) Amount refunded. It cannot be an amount larger than total_amount. - `shipments` (array, optional) Shipment Attributes - `shipments[].id` (number, optional) Unique shipment identifier - `shipments[].shipment_type` (string, optional) Shipment type - `shipments[].shipping_mode` (string, optional) Shipping mode. - `shipments[].picking_type` (string, optional) Package pickup mode - `shipments[].status` (string, optional) Shipping status - `shipments[].substatus` (string, optional) Secondary shipping status - `shipments[].items` (array, optional) Shipped object attributes - `shipments[].items[].id` (string, optional) Item identifier - `shipments[].items[].description` (string, optional) Item description - `shipments[].items[].quantity` (number, optional) Item quantity - `shipments[].items[].dimensions` (string, optional) Item dimensions - `shipments[].items[].dimensions_source` (string, optional) Item dimensions - `shipments[].date_created` (string, optional) Shipment creation date - `shipments[].last_modified` (string, optional) Shipment last modified date - `shipments[].date_first_printed` (string, optional) First printed date - `shipments[].service_id` (number, optional) Shipment service identifier - `shipments[].sender_id` (number, optional) Sender identifier - `shipments[].receiver_id` (number, optional) Receiver Identifier - `shipments[].receiver_address` (object, optional) Receiver address attributes - `shipments[].receiver_address.id` (number, optional) Address ID. - `shipments[].receiver_address.address_line` (string, optional) Receiver address - `shipments[].receiver_address.city` (object, optional) Attributes of the city associated with the receiver´s Address - `shipments[].receiver_address.city.id` (string, optional) City ID. - `shipments[].receiver_address.city.name` (string, optional) City name. - `shipments[].receiver_address.state` (object, optional) Attributes of the state associated with the receiver´s Address - `shipments[].receiver_address.state.id` (string, optional) State ID. - `shipments[].receiver_address.state.name` (string, optional) State name. - `shipments[].receiver_address.country` (object, optional) Attributes of the country associated with the receiver´s Address - `shipments[].receiver_address.country.id` (string, optional) Country ID. - `shipments[].receiver_address.country.name` (string, optional) Country name. - `shipments[].receiver_address.latitude` (string, optional) Latitude. - `shipments[].receiver_address.longitude` (string, optional) Longitude. - `shipments[].receiver_address.comment` (string, optional) Comment or additional information about the address - `shipments[].receiver_address.contact` (string, optional) Contact information. - `shipments[].receiver_address.phone` (string, optional) Phone number. - `shipments[].receiver_address.zip_code` (string, optional) Zip Code. - `shipments[].receiver_address.street_name` (string, optional) Street name. - `shipments[].receiver_address.street_number` (string, optional) Street number. - `shipments[].receiver_address.floor` (string, optional) Floor - `shipments[].receiver_address.apartment` (string, optional) Apartment. - `shipments[].shipping_option` (object, optional) Attributes associated with the shipping option - `shipments[].shipping_option.id` (number, optional) Shipping option identifier. - `shipments[].shipping_option.cost` (number, optional) Shipping cost. - `shipments[].shipping_option.currency_id` (string, optional) ID of the currency used in the payment. Possible enum values: - `ARS` Argentine peso. - `BRL` Brazil real. - `CLP` Chilean peso. - `MXN` Mexican peso. - `COP` Colombian peso. - `PEN` Peruvian sol. - `UYU` Uruguayan peso. - `shipments[].shipping_option.shipping_method_id` (number, optional) Shipping method identifier. - `shipments[].shipping_option.estimated_delivery` (object, optional) Estimated delivery date. - `shipments[].shipping_option.estimated_delivery.date` (string, optional) Estimated delivery date. - `shipments[].shipping_option.estimated_delivery.time_from` (string, optional) Estimated timeframe start for delivery - `shipments[].shipping_option.estimated_delivery.time_to` (string, optional) Estimated timeframe end for delivery - `shipments[].shipping_option.name` (string, optional) Shipping option name - `shipments[].shipping_option.list_cost` (number, optional) Shipping option listing cost - `shipments[].shipping_option.speed` (object, optional) Delivery option speed ​​attributes - `shipments[].shipping_option.speed.handling` (number, optional) Handling time - `shipments[].shipping_option.speed.shipping` (number, optional) Shipping time. - `payouts` (object, optional) Contains information on cash withdrawal, if applicable. - `collector` (object, optional) Attributes of the Mercado Pago account collecting the payment - `collector.id` (number, optional) Identifier of the collecting Mercado Pago account - `collector.email` (string, optional) Email associated with the collector´s Mercado Pago account - `collector.nickname` (string, optional) Collector nickname. - `marketplace` (string, optional) Indicates if it is a Mercado Libre (MELI) or Mercado Pago (NONE) Marketplace payment - `notification_url` (string, optional) URL where you'd like to receive a payment or merchant_order notification. - `date_created` (string, optional) Order creation date. The format is YYYY-MM-DDThh:mm:ss.dcm-GMT, for example 2021-12-29T20:19:17.000-04:00. - `last_updated` (string, optional) Date of last update of the order. The format is YYYY-MM-DDThh:mm:ss.dcm-GMT, for example 2021-12-29T20:19:17.000-04:00. - `sponsor_id` (string, optional) Identifier of the Partners Mercado Pago account. It is used to identify if the integration was performed by a partner. - `shipping_cost` (number, optional) Shipping cost, if applicable - `total_amount` (number, optional) Total amount of the transaction in local currency. - `site_id` (string, optional) Site ID. Possible enum values: - `MLA` Mercado Libre Argentina - `MLB` Mercado Libre Brasil - `MLM` Mercado Libre México - `MLC` Mercado Libre Chile - `MLU` Mercado Libre Uruguay - `MCO` Mercado Libre Colombia - `MPE` Mercado Libre Perú - `paid_amount` (number, optional) Paid amount - `refunded_amount` (number, optional) Refunded amount - `payer` (object, optional) Buyer's information. - `payer.id` (number, optional) Payer ID. - `payer.email` (string, optional) Payer’s email address. - `items` (array, optional) Order item attributes - `items[].id` (string, optional) Item ID. - `items[].category_id` (string, optional) This is a free string where the item category can be added. - `items[].currency_id` (string, optional) ID of the currency used in the payment. Possible enum values: - `ARS` Argentine peso. - `BRL` Brazil real. - `CLP` Chilean peso. - `MXN` Mexican peso. - `COP` Colombian peso. - `PEN` Peruvian sol. - `UYU` Uruguayan peso. - `items[].description` (string, optional) Item description. - `items[].picture_url` (string, optional) Item image URL. - `items[].title` (string, optional) Item title. It will be displayed in the payment process. - `items[].quantity` (number, optional) Item quantity. - `items[].unit_price` (number, optional) Item unit price. - `canceled` (boolean, optional) Boolean value that indicates if the order was canceled - `additional_info` (string, optional) Additional information. - `application_id` (string, optional) application identifier. - `order_status` (string, optional) Current merchant order status given the payments status. Possible enum values: - `payment_required` Order without payments or with all payments "rejected" or "canceled". - `reverted` Order with all payments "refunded" or "chargeback". - `paid` Order with the sum of all payments "approved", "chargeback" or "in_mediation", covers the order total amount. - `partially_reverted` Order with at least one payment "refunded" or "chargeback". - `partially_paid` Order with at least one payment "approved" and not covering order total amount. - `payment_in_process` Order with payments "in_process", "pending" or "authorized". - `undefined` Order created before the existence of the order_status status. - `expired` Canceled order that does not have approved or pending payments (all rejected or returned). ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | invalid_format | invalid caller.id. | | 401 | invalid_token | access denied. | | 401 | invalid_caller_id | invalid caller_id | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/merchant_orders/{id}' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "id": 9999999999, "status": "closed", "external_reference": "default", "preference_id": "Preference identification", "payments": [ { "id": 9999999999, "transaction_amount": 1, "total_paid_amount": 1, "shipping_cost": 0, "currency_id": "BRL", "status": "approved", "status_detail": "accredited", "operation_type": "regular_payment", "date_approved": "2019-04-02T18:35:35.000Z", "date_created": "2019-04-02T18:35:34.000Z", "last_modified": "2019-04-02T18:35:35.000Z", "amount_refunded": 0 } ], "shipments": [ { "id": 99999999999, "shipment_type": "shipping", "shipping_mode": "me2", "picking_type": "string", "status": "delivered", "substatus": "string", "items": [ { "id": null, "description": null, "quantity": null, "dimensions": null, "dimensions_source": null } ], "date_created": "2019-04-02T18:20:46.000Z", "last_modified": "2019-04-12T19:36:48.000Z", "date_first_printed": "2019-04-02T18:35:40.000Z", "service_id": 999, "sender_id": 999999999, "receiver_id": 999999999, "receiver_address": { "id": 9999999999, "address_line": "address line", "city": { "id": null, "name": null }, "state": { "id": null, "name": null }, "country": { "id": null, "name": null }, "latitude": 0, "longitude": 0, "comment": "shipment comment", "contact": "shipment contact", "phone": 9999999999, "zip_code": 9999, "street_name": { "pt": "Nome da rua", "es": "Nombre de la calle", "en": "Street name" }, "street_number": 999, "floor": "string", "apartment": "string" }, "shipping_option": { "id": 999999999, "cost": 0, "currency_id": "BRL", "shipping_method_id": 99999, "estimated_delivery": { "date": null, "time_from": null, "time_to": null }, "name": "Normal a domicilio", "list_cost": 0, "speed": { "handling": null, "shipping": null } } } ], "payouts": {}, "collector": { "id": 999999999, "email": "test@testuser.com", "nickname": "TESTRPEHE21Q" }, "marketplace": "NONE", "notification_url": "string", "date_created": "2018-09-14T17:11:31.000Z", "last_updated": "2018-09-14T17:11:43.000Z", "sponsor_id": "string", "shipping_cost": 0, "total_amount": 5, "site_id": "mla", "paid_amount": 5, "refunded_amount": 0, "payer": { "id": 999999999, "email": "test@testuser.com" }, "items": [ { "id": "item id", "category_id": "item category", "currency_id": "BRL", "description": "item description", "picture_url": "item picture url", "title": "item title", "quantity": 1, "unit_price": 5 } ], "canceled": false, "additional_info": "additional information", "application_id": "10000000000000000", "order_status": "paid" } ```